log = function (str) {
  var log = document.querySelector("#log");
  var span = document.createElement("span");
  widgetAPI.putInnerHTML(span, str);
  log.appendChild(span);
  log.scrollTop = log.scrollHeight;
};

toggleLog = function () {
  var log = document.querySelector("#log");
  if (log.style.display === "none" || log.style.display === "") {
    log.style.display = "block";
  } else {
    log.style.display = "none";
  }
};


clearLog = function () {
  var log = document.querySelector("#log");
  log.innerHTML = "";
};

setInterval(function () {
  var log = document.querySelector("#log");
  if (log.style.display === "block") {
    clearLog(); 
  }
}, 60000); 

document.addEventListener("keydown", function (event) {
  if (event.keyCode === tvKey.KEY_1) {
    toggleLog();
  }
  if (event.keyCode === tvKey.KEY_2) {
    clearLog();
  }
});

var widgetAPI = new Common.API.Widget();
var tvKey = new Common.API.TVKeyValue();
