var App = {
  config: null,
  program: null,
  init: function () {
    log("uygulama başladı");
    log("userAgent: " + navigator.userAgent);

    // Config dosyasını oku
    this.config = Config.get("config");
    this.program = Config.get("program");

    // Eğer config dosyası yoksa default değerleri oluştur
    if (this.config == null) {
      this.config = Config.generateDefaults();
    }

    log("screenTag: " + this.config.tag);

    // MQTT Bağlantısını yap
    MQTT.connect();
    
    // Program yok ise setup göster
    if (this.program !== null) {
      Screen.show("signage");
      // program var ise signage göster
    } else {
      Screen.show("setup");
    }

    setInterval(function () {
      location.reload();
    }, 30 * 60 * 1000); // 30 dakika 
  },
};
